[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[equinox-dev] Migrating Eclipse-LazyStart to Bundle-ActivationPolicy

There has been several discussions in various bug reports about migrating from the Eclipse-LazyStart header to the new Bundle-ActivationPolicy header specified in the OSGi R4.1 specification. With the latest I-Builds PDE is now flagging the old Eclipse-LazyStart header as deprecated and with this weeks I-Build PDE is offering two quickfix options to migrate to the Bundle-ActivationPolicy:

1) Convert the deprecated 'Eclipse-LazyStart' to 'Bundle-ActivationPolicy'
2) Add 'Bundle-ActivationPolicy' header

The Equinox team is recommending that developers use option 2 when migrating to the new header. This will ensure that bundles will continue to work on older Eclipse platforms where the Bundle-ActivationPolicy header is not recognized. It will also allow the bundle to work on other OSGi R4 Framework implementations which probably do not recognize the Eclipse-LazyStart header.

Tom